--
-- ### Insert operation checks
--

create table t1 ( a int, b string(30));


@
create procedure checkInsert ( numIns in int ) 
begin 

   var actIns int;

   :actIns = 0;

   while :actIns < :numIns
   begin
	insert into t1 values ( :actIns , 'XXX');	
	:actIns = :actIns + 1;
   end;

end;
@

select count(*) from t1;
call checkInsert(1000);
select count(*) from t1;

drop procedure checkInsert;
drop table t1;